Class Fox::FXHeaderItem

In: | FXHeader.rb
Parent: | FXObject

Header item

Methods

create destroy detach getHeight getWidth new

Attributes

arrowDir | [RW] | Sort direction (`FALSE`, `TRUE` or `MAYBE`) [Integer]
data | [RW] | Item’s user data [Object]
icon | [RW] | Item’s icon [FXIcon]
size | [RW] | Size [Integer]
text | [RW] | Item’s text label [String]

Public Class methods

new(text, ic=nil, s=0, ptr=nil) {|theHeaderItem| ...}

Construct new item with given text, icon, size, and user-data

Public Instance methods

getWidth(header)

Return the item’s width in the header

getHeight(header)

Return the item’s height in the header

create()

Create server-side resources

detach()

Detach from server-side resources

destroy()

Destroy server-side resources